DIR Struct Reference

`#include <dir.h>`

## Data Fields

WCHAR * | start
WCHAR * | curr
long | size
long | nfiles
long | loc
struct direct | dirstr
char * | bits

## Detailed Description

Definition at line 19 of file dir.h.

## Field Documentation

char* DIR::bits

Definition at line 26 of file dir.h.

Referenced by opendir_internal(), rb_w32_closedir(), and readdir_internal().

WCHAR* DIR::curr

Definition at line 21 of file dir.h.

Referenced by move_to_next_entry(), opendir_internal(), rb_w32_rewinddir(), rb_w32_seekdir(), and readdir_internal().

struct direct DIR::dirstr

Definition at line 25 of file dir.h.

Referenced by rb_w32_closedir(), and readdir_internal().

long DIR::loc

Definition at line 24 of file dir.h.

Referenced by move_to_next_entry(), rb_w32_rewinddir(), rb_w32_seekdir(), rb_w32_telldir(), and readdir_internal().

long DIR::nfiles

Definition at line 23 of file dir.h.

Referenced by opendir_internal().

long DIR::size

Definition at line 22 of file dir.h.

Referenced by move_to_next_entry(), and opendir_internal().

WCHAR* DIR::start

Definition at line 20 of file dir.h.

Referenced by move_to_next_entry(), opendir_internal(), rb_w32_closedir(), and rb_w32_rewinddir().

The documentation for this struct was generated from the following file:

- win32/dir.h